import jingrow


def execute():
	if "event_streaming" in jingrow.get_installed_apps():
		return

	jingrow.delete_pg_if_exists("Module Def", "Event Streaming", force=True)

	for pg in [
		"Event Consumer Page Type",
		"Page Type Mapping",
		"Event Producer",
		"Event Producer Last Update",
		"Event Producer Page Type",
		"Event Consumer",
		"Page Type Field Mapping",
		"Event Update Log",
		"Event Update Log Consumer",
		"Event Sync Log",
	]:
		jingrow.delete_pg_if_exists("PageType", pg, force=True)
